zenilib: SDL_assert_data Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_assert_data Struct Reference

`#include <SDL_assert.h>`

## Public Attributes

int | always_ignore
const char * | condition
const char * | filename
const char * | function
int | linenum
struct SDL_assert_data * | next
unsigned int | trigger_count

## Detailed Description

Definition at line 107 of file SDL_assert.h.

## Member Data Documentation

int SDL_assert_data::always_ignore

Definition at line 109 of file SDL_assert.h.

Referenced by SDL_GenerateAssertionReport(), SDL_ReportAssertion(), and SDL_ResetAssertionReport().

const char* SDL_assert_data::condition

Definition at line 111 of file SDL_assert.h.

Referenced by SDL_GenerateAssertionReport(), and SDL_PromptAssertion().

const char* SDL_assert_data::filename

Definition at line 112 of file SDL_assert.h.

Referenced by SDL_GenerateAssertionReport(), SDL_PromptAssertion(), and SDL_ReportAssertion().

const char* SDL_assert_data::function

Definition at line 114 of file SDL_assert.h.

Referenced by SDL_GenerateAssertionReport(), SDL_PromptAssertion(), and SDL_ReportAssertion().

int SDL_assert_data::linenum

Definition at line 113 of file SDL_assert.h.

Referenced by SDL_GenerateAssertionReport(), SDL_PromptAssertion(), and SDL_ReportAssertion().

struct SDL_assert_data* SDL_assert_data::next

Definition at line 115 of file SDL_assert.h.

Referenced by SDL_AddAssertionToReport(), SDL_GenerateAssertionReport(), and SDL_ResetAssertionReport().

unsigned int SDL_assert_data::trigger_count

Definition at line 110 of file SDL_assert.h.

Referenced by SDL_AddAssertionToReport(), SDL_GenerateAssertionReport(), SDL_PromptAssertion(), SDL_ReportAssertion(), and SDL_ResetAssertionReport().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_assert.h